This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Table
Name | ### findRows()
Examples |
    Table table;

    void setup() {

      table = new Table();

      table.addColumn("name");
      table.addColumn("type");

      TableRow newRow = table.addRow();
      newRow.setString("name", "Lion");
      newRow.setString("type", "Mammal");

      newRow = table.addRow();
      newRow.setString("name", "Snake");
      newRow.setString("type", "Reptile");

      newRow = table.addRow();
      newRow.setString("name", "Mosquito");
      newRow.setString("type", "Insect");

      newRow = table.addRow();
      newRow.setString("name", "Lizard");
      newRow.setString("type", "Reptile");

      for (TableRow row : table.findRows("Reptile", "type")) {
        println(row.getString("name") + ": " + row.getString("type"));
      }
    }

    // Sketch prints:
    // Snake: Reptile
    // Lizard: Reptile
Description | Finds the rows in the Table that contain the value provided, and returns references to those rows. Returns an iterator, so for must be used to iterate through all the rows, as shown in the example above. The column to search may be specified by either its ID or title.
Syntax |
    .findRows(value, column)
    .findRows(value, columnName)
Parameters |
value | String: the value to match
column | int: ID number of the column to search
columnName | String: title of the column to search
Returns | TableRow>
Related | getRow() rows() findRow() matchRow() matchRows()

Updated on October 26, 2013 08:58:34pm PDT